## com.saxonica.codegen
Class JavaVariable

    java.lang.Object
      com.saxonica.codegen.JavaVariable

    public class JavaVariable

extends java.lang.Object

A top-level field within the Java class being generated by the `CompilerService`

Field Summary
`java.lang.CharSequence` `body`
`java.lang.Class` `declaredClass`
`java.lang.String` `declaredType`
`java.lang.String` `errorCodeIfNull`
`boolean` `isFinal`
`boolean` `isStatic`
`java.lang.String` `messageIfNull`
`java.lang.String` `name`
`int` `priority`

Constructor Summary
`JavaVariable()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isStatic

    public boolean isStatic

### isFinal

    public boolean isFinal

### declaredType

    public java.lang.String declaredType

### declaredClass

    public java.lang.Class declaredClass

### name

    public java.lang.String name

### body

    public java.lang.CharSequence body

### priority

    public int priority

### messageIfNull

    public java.lang.String messageIfNull

### errorCodeIfNull

    public java.lang.String errorCodeIfNull

Constructor Detail

### JavaVariable

    public JavaVariable()

Copyright (c) Saxonica Limited. All rights reserved.